#!/usr/bin/perl -w
use POSIX qw(:signal_h);
$unblockset = POSIX::SigSet->new(SIGUSR1, SIGUSR2);
sigprocmask(SIG_UNBLOCK, $unblockset) or die "Could not do sigprocmask: $!";

my $term_signal_received = 0;


$SIG{USR1}= sub{ print "Received usr1\n";};
$SIG{USR2}= sub{ print "Received usr2\n";};
$SIG{TERM}= sub{  print "Good bye\n"; $term_signal_received=1;};

open(FPID, ">/tmp/test_pid") || die "Cannot write pid file:/tmp/test_pid:$!";
print FPID "$$\n";
close(FPID);

until ($term_signal_received) {

}


